Create a secret for an app client

POST /apps/{appId}/clients/{clientId}/secrets

Path parameters

appIdstring✻

The app ID is a unique identifier for an application.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

clientIdstring✻

The client ID is a unique identifier for a client.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

Responses

    201Created

Content application/json

Documentation

Properties

idstring✻

The client secret ID is a unique identifier for a client secret.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

clientIdstring✻

The client ID is a unique identifier for a client.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

secretstring✻

A client secret is a secret known only to the application and the authorization server. It is essentially the application's own password.

32..32 characters

Documentation

createdAtstring✻

format: date-time

Documentation

createdBystring

format: uuid

Documentation

Security

Servers

    oauth2.hedia.comhttps://oauth2.hedia.com/api/v1